angular.module('MapService', []).factory('Maps', function($http) {
    var headers = {'Access-Control-Allow-Origin': '*'};

    return {
		getPaging:function(filter){
			return $http({headers: headers,withCredentials: true,method:'POST',url:url_server + 'appointmentsmap',data:filter});
		},
		getStartingLocation:function(filter){
			return $http({headers: headers,withCredentials: true,method:'POST',url:url_server + 'userstartinglocation',data:filter});
		},
		clickOnAppMarker:function(filter){
			return $http({headers: headers,withCredentials: true,method:'POST',url:url_server + 'clickonappmarker',data:filter});
		}
	};
});
